# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image 
#                        pour la Santé)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
#
#  This software is governed by the CeCILL-B license under French law and 
#  abiding by the rules of distribution of free software. You can  use, 
#  modify and/ or redistribute the software under the terms of the CeCILL-B 
#  license as circulated by CEA, CNRS and INRIA at the following URL 
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability. 
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------  


#!/bin/bash

# $1 : 'creaImageIO'
# $2 : generationdir
# $3 : ON/OFF (generate doc)
# $4 : GDCM1 / GDCM2

currentdir=$2
binfolder=$2/creatools_bin/$1Bin
cd $binfolder

# use GDCM1 as default !
if [ $4 = "GDCM2" ]
then
boolgdcm2=ON
boolgdcm1=OFF
else
boolgdcm2=OFF
boolgdcm1=ON
fi


cmake -D CMAKE_CXX_FLAGS:STRING=-fPIC   			           			CMakeCache.txt
cmake -D crea_DIR:PATH=$currentdir/creatools_bin/creaBin              	CMakeCache.txt
cmake -D BBTK_DIR:PATH=$currentdir/creatools_bin/bbtkBin              	CMakeCache.txt
cmake -D creaBruker_DIR:PATH=$currentdir/creatools_bin/creaBrukerBin  	CMakeCache.txt
cmake -D BUILD_BBTK_PACKAGE_creaImageIO:BOOL=ON                       	CMakeCache.txt
cmake -D BUILD_creaImageIO_DOC:BOOL=$3  -D USE_GDCM2:BOOL=$boolgdcm2 -D USE_GDCM:BOOL=$boolgdcm1  CMakeCache.txt
cmake -D BUILD_BBTK_PACKAGE_creaImageIO_DOXYGEN_DOC:BOOL=$3           CMakeCache.txt

cmake CMakeCache.txt

cd ..
